@font-face {
  font-family: 'Montserrat';
  src: url('./fonts/Montserrat-VariableFont_wght.ttf') format('truetype');
  font-weight: 100 900;
  font-style: normal;
}
@font-face {
  font-family: 'Montserrat';
  src: url('./fonts/Montserrat-Italic-VariableFont_wght.ttf') format('truetype');
  font-weight: 100 900;
  font-style: italic;
}

* {
  box-sizing: border-box;
  font-family: Montserrat, sans-serif;
  color: white;
}

:root {
  --title-size: 60px;
  --title-height: calc(var(--title-size) * 1.5);
  --header-height: calc(var(--title-height) + 24px)
}

body { margin: 0; }

.page {
  width: 100vw;
  height: 100vh;
  background-color: #222222;
  display: flex;
  flex-direction: column;
}

/* Header */

header {
  padding: 12px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 12px;
  position: relative;
}

h1 {
  font-size: 24px;
  font-weight: 500;
}

h2 {
  font-size: 18px;
  font-weight: 500;
}

.title-logo {
  height:  var(--title-height);
}

.title-text {
  font-size: var(--title-size);
  font-weight: 500;
}

.menu {
  width: 100%;
  position: absolute;
  top: 100%;
  padding-top: 3px;
  display: flex;
  justify-content: center;
  align-items: start;
  gap: 12px;
  z-index: 1;
}

.menu-button {
  padding: 6px 9px;
  background-color: #222222aa;
  border: 2px solid #222222bb;
  font-size: 18px;
  font-weight: 500;
}

.menu-button:hover {
  transform: scale(1.1);
  background-color: #222222cc;
  border: 2px solid #222222dd;
}

/* Page-content */

ul li {
  list-style-type: "\2713\00a0";
}

th {
  padding: 0 12px;
  text-align: right;
  font-weight: 500;
}

.page-content {
  background-color: #333333;
  margin: 0 12px;
  flex-grow: 1;
  overflow: scroll;
}

.hero-section {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  position: relative;
}

.hero-image {
  width: 80%;
}

.tagline {
  position: absolute;
  top: 45px;
  font-size: 21px;
  font-weight: 500;
  font-style: italic;
  text-shadow: 2px 2px 1px black, 3px 3px 1px black;
}

.donate-button {
  position: absolute;
  bottom: 12px;
  left: 50%;
  transform: translateX(-50%);
  padding: 12px 24px;
  background-color: #222222;
  border: 1px solid #dddddd;
  border-radius: 12px;
  box-shadow: 12px 12px 6px 0 #22222288;
}

.donate-button:hover {
  transform: translateX(-50%) scale(1.1);

}

.donate-button img {
  width: 48px;
}

.section {
  margin-top: 48px;
  position: relative;
}

.section {
  margin-top: 48px;
  position: relative;
}

.section-anchor {
  position: absolute;
  bottom: calc(100% + var(--header-height));
}

.section-image {
  width: 720px;
}

footer {
  padding: 12px;
  font-size: 12px;
}

/* Tablet size */
@media (max-width: 900px) {
  body {
    --title-size: 36px;
    --title-height: calc(var(--title-size)*2);
  }

  .hero-section {
    width: 100%;
    display: flex;
    justify-content: center;
  }

  .section-image {
    width: 480px;
  }

  .menu-button {
    font-size: 15px;
  }

  .hero-image {
    width: 100%;
  }
}

/* Phone size */
@media (max-width: 600px) {
  body {
    --title-size: 24px;
  }

  .hero-image {
    width: 100%;
  }

  .section-image {
    width: 100%;
  }

}
